summaryrefslogtreecommitdiff
path: root/dev-ruby/diff-lcs
diff options
context:
space:
mode:
Diffstat (limited to 'dev-ruby/diff-lcs')
-rw-r--r--dev-ruby/diff-lcs/Manifest2
-rw-r--r--dev-ruby/diff-lcs/diff-lcs-1.6.1.ebuild28
-rw-r--r--dev-ruby/diff-lcs/diff-lcs-1.6.2.ebuild28
-rw-r--r--dev-ruby/diff-lcs/metadata.xml9
4 files changed, 67 insertions, 0 deletions
diff --git a/dev-ruby/diff-lcs/Manifest b/dev-ruby/diff-lcs/Manifest
new file mode 100644
index 000000000000..8131ec7c0bcc
--- /dev/null
+++ b/dev-ruby/diff-lcs/Manifest
@@ -0,0 +1,2 @@
+DIST diff-lcs-1.6.1.gem 58880 BLAKE2B 37c527732c85fb4d3a3604b5f8a12d33325a54267b218deab4bcc4b9740f817073a69183c0cd395275b721aac5688aced8cee4b2479ed28df31a83e950fceab0 SHA512 2a454a1b918d4b2b62ea1c313e0cfd9ebf5d4c222d4da8d0e2fab11cbe7f4a105de6cb495a1b75e488b894a8fb30c80b8645740e1412f6cbf57134018d5eecf0
+DIST diff-lcs-1.6.2.gem 59392 BLAKE2B ffdc160b0034e53371d08ffa36baae341f93640c644a418bcd331bcf8c6c0d8cfa1b2421b899c5897e2083a4829437d58cfd051ae7e8d6674a444f61c87f5f52 SHA512 0cfaae5b02784dfb17906afe3f044aa58cedb866b4d07229fec8c0859d78c03d24eaba37a951d1a0cc85df63a4132c46a600953ff3a80cd0830ad07e687f8894
diff --git a/dev-ruby/diff-lcs/diff-lcs-1.6.1.ebuild b/dev-ruby/diff-lcs/diff-lcs-1.6.1.ebuild
new file mode 100644
index 000000000000..347b1a1c0a6a
--- /dev/null
+++ b/dev-ruby/diff-lcs/diff-lcs-1.6.1.ebuild
@@ -0,0 +1,28 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+USE_RUBY="ruby31 ruby32 ruby33 ruby34"
+
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
+
+RUBY_FAKEGEM_EXTRADOC="README.md CHANGELOG.md"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Use the McIlroy-Hunt LCS algorithm to compute differences"
+HOMEPAGE="https://github.com/halostatue/diff-lcs"
+
+LICENSE="|| ( Artistic MIT GPL-2+ )"
+SLOT="0"
+KEYWORDS="~alpha amd64 arm arm64 ~hppa ~loong ~mips ppc ppc64 ~riscv ~s390 ~sparc x86 ~x64-macos ~x64-solaris"
+
+each_ruby_prepare() {
+ # Use the current ruby to test script invocation
+ sed -e "/system/ s:ruby:${RUBY}:" \
+ -i spec/ldiff_spec.rb || die
+
+ # Skip ldiff specs altogether for now since the fixtures are riddled
+ # with encoding and newline issues and ldiff is not the core of this gem.
+ rm -f spec/ldiff_spec.rb || die
+}
diff --git a/dev-ruby/diff-lcs/diff-lcs-1.6.2.ebuild b/dev-ruby/diff-lcs/diff-lcs-1.6.2.ebuild
new file mode 100644
index 000000000000..00fa0d55e995
--- /dev/null
+++ b/dev-ruby/diff-lcs/diff-lcs-1.6.2.ebuild
@@ -0,0 +1,28 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+USE_RUBY="ruby32 ruby33 ruby34 ruby40"
+
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
+
+RUBY_FAKEGEM_EXTRADOC="README.md CHANGELOG.md"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Use the McIlroy-Hunt LCS algorithm to compute differences"
+HOMEPAGE="https://github.com/halostatue/diff-lcs"
+
+LICENSE="|| ( Artistic MIT GPL-2+ )"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-macos ~x64-solaris"
+
+each_ruby_prepare() {
+ # Use the current ruby to test script invocation
+ sed -e "/system/ s:ruby:${RUBY}:" \
+ -i spec/ldiff_spec.rb || die
+
+ # Skip ldiff specs altogether for now since the fixtures are riddled
+ # with encoding and newline issues and ldiff is not the core of this gem.
+ rm -f spec/ldiff_spec.rb || die
+}
diff --git a/dev-ruby/diff-lcs/metadata.xml b/dev-ruby/diff-lcs/metadata.xml
new file mode 100644
index 000000000000..c685ebad7e3a
--- /dev/null
+++ b/dev-ruby/diff-lcs/metadata.xml
@@ -0,0 +1,9 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://docs.baldeagleos.com/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>ruby@gentoo.org</email>
+ <name>Gentoo Ruby Project</name>
+ </maintainer>
+ <origin>baldeagleos-repo</origin>
+</pkgmetadata>